// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/dio40_lib.h $
// $Rev: 36242 $
// $Date:$

#ifndef __DIO40_LIB_H__
#define __DIO40_LIB_H__

#include <stddef.h>

#include "dio40.h"



// prototypes *****************************************************************

int		dio40_close(int fd);
int		dio40_gpio_a_dir_get(int fd, u8* dir);
int		dio40_gpio_a_dir_mod(int fd, u8 dir, u8 mask);
int		dio40_gpio_a_dir_set(int fd, u8 dir);
int		dio40_gpio_a_in_get(int fd, u8* data);
int		dio40_gpio_a_out_get(int fd, u8* data);
int		dio40_gpio_a_out_mod(int fd, u8 data, u8 mask);
int		dio40_gpio_a_out_set(int fd, u8 data);
int		dio40_gpio_a0_tx_clock_get(int fd, u8* get);
int		dio40_gpio_a0_tx_clock_set(int fd, int set);
int		dio40_gpio_a7_tx_clock_get(int fd, u8* get);
int		dio40_gpio_a7_tx_clock_set(int fd, int set);
int		dio40_gpio_b_dir_get(int fd, u32* dir);
int		dio40_gpio_b_dir_mod(int fd, u32 dir, u32 mask);
int		dio40_gpio_b_dir_set(int fd, u32 dir);
int		dio40_gpio_b_in_get(int fd, u32* data);
int		dio40_gpio_b_out_get(int fd, u32* data);
int		dio40_gpio_b_out_mod(int fd, u32 data, u32 mask);
int		dio40_gpio_b_out_set(int fd, u32 data);
int		dio40_ioctl(int fd, int request, void *arg);
int		dio40_led_get(int fd, u8* on);
int		dio40_led_mod(int fd, u8 on, u8 mask);
int		dio40_led_set(int fd, u8 on);
void	dio40_lib_version(char* ver, size_t v_size, char* built, size_t b_size);
int		dio40_open(int board, int share);
int		dio40_reg_mod(int fd, u32 reg, u32 value, u32 mask);
int		dio40_reg_read(int fd, u32 reg, u32* value);
int		dio40_reg_write(int fd, u32 reg, u32 value);
int		dio40_reset(int fd);



#endif
