// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/open.c $
// $Rev: 36242 $
// $Date:$

#include <fcntl.h>
#include <stdio.h>

#include "dio40_lib.h"



/******************************************************************************
*
*	Function:	dio40_open
*
*	Purpose:
*
*		Open a handle to the referenced DIO40 board.
*
*	Arguments:
*
*		board	THis is the zero based index of the board to access.
*
*		share	Open the device for shared access?
*
*	Returned:
*
*		-1		There was a problem. Consult errno.
*		else	All went well. This is the handle to use to access the device.
*
******************************************************************************/

int dio40_open(int board, int share)
{
	int		fd;
	int		flags;
	char	name[80];

	sprintf(name, "/dev/" DIO40_BASE_NAME ".%d", board);
	flags	= O_RDWR | (share ? O_APPEND : 0);
	fd		= open(name, flags);

	return(fd);
}



