// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/reset.c $
// $Rev: 13685 $
// $Date:$

#include "dio40_lib.h"



/******************************************************************************
*
*	Function:	dio40_reset
*
*	Purpose:
*
*		Reset the board.
*
*	Arguments:
*
*		fd		The file descriptor of the device to access.
*
*	Returned:
*
*		0		All went well.
*		else	The errno value for the error that occurrred.
*
******************************************************************************/

int dio40_reset(int fd)
{
	int	err;

	err	= dio40_reg_write(fd, DIO40_GSC_BCR, 1);
	return(err);
}



