// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/version.c $
// $Rev: 32426 $
// $Date:$

#include <stddef.h>
#include <stdio.h>
#include <string.h>

#include "dio40_lib.h"



// #defines *******************************************************************

#define	VERSION	"1.3"
// 1.3	Updated to use the newer common Linux sources.
//		White space cleanup.
//		LINTed the sources.
// 1.2	Changed the structure name for accessing registers.
// 1.1	A minor amount of LINTing.
// 1.00	Initial realease.



/******************************************************************************
*
*	Function:	dio40_lib_version
*
*	Purpose:
*
*		Report the library version to the caller.
*
*	Arguments:
*
*		ver		Report the library version here.
*
*		v_size	This is the size of the above buffer.
*
*		built	Report the date and time the library was built here.
*
*		b_size	This is the size of the above buffer.
*
*	Returned:
*
*		None.
*
******************************************************************************/

void dio40_lib_version(char* ver, size_t v_size, char* built, size_t b_size)
{
	char	buf[64];

	if ((ver) && (v_size))
	{
		strncpy(ver, VERSION, v_size);
		ver[v_size - 1]	= 0;
	}

	if ((built) && (b_size))
	{
		sprintf(buf, "%s, %s", __DATE__, __TIME__);
		strncpy(built, buf, b_size);
		built[b_size - 1]	= 0;
	}
}



