#include <errno.h>
#include <fcntl.h>
#include <stdio.h>

#include "dio40_dsl.h"

int dio40_dsl_open(int index, int share)
{
	int		fd;
	int		flags;
	char	name[80];

	sprintf(name, "/dev/" DIO40_BASE_NAME ".%d", index);
	flags	= O_RDWR | (share ? O_APPEND : 0);
	fd		= open(name, flags);

	if (fd == -1)
	{
		printf(	"open() failure on %s, errno = %d\n",
				name,
				errno);
	}

	return(fd);
}
