// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/driver/gsc_close.c $
// $Rev: 35264 $
// $Date: 2016-06-16 16:02:26 -0500 (Thu, 16 Jun 2016) $

#include "main.h"



//*****************************************************************************
int gsc_close(GSC_ALT_STRUCT_T* alt)
{
	int	ret;
	int	tmp	= 0;

	ret	= os_sem_lock(&alt->sem);

	if (alt->users)
		alt->users--;

	if (alt->users == 0)
		tmp	= dev_close(alt);

	if (ret == 0)
	{
		ret	= tmp;
		os_sem_unlock(&alt->sem);
	}

	return(ret);
}


