// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO40/legacy/DIO40_Linux_1.00.0_GSC_DN/lib/ioctl.c $
// $Rev: 25483 $
// $Date:$

#include <errno.h>
#include <stdio.h>

#include "dio40_lib.h"



/******************************************************************************
*
*	Function:	dio40_ioctl
*
*	Purpose:
*
*		Issue an IOCTL call for the DIO40.
*
*	Arguments:
*
*		fd		The handle used to access the DIO40.
*
*		request	The IOCTL code to pass to the driver.
*
*		arg		The data specific to the "request" argument.
*
*	Returned:
*
*		0		All went well.
*		else	The errno for the error that occurred.
*
******************************************************************************/

int dio40_ioctl(int fd, int request, void *arg)
{
	int	errs;

	errs	= ioctl(fd, request, (unsigned long) arg);
	errs	= errs ? errno : 0;
	return(errs);
}



