// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/utils/gsc_util_close.c $
// $Rev: 35267 $
// $Date: 2016-06-16 16:12:23 -0500 (Thu, 16 Jun 2016) $

#include <fcntl.h>
#include <stdio.h>

#include "gsc_utils.h"



/******************************************************************************
*
*	Function:	gsc_dev_close
*
*	Purpose:
*
*		Perform a close on the device with the specified access handle.
*
*	Arguments:
*
*		index	The index of the board to accessed.
*
*		fd		The file descriptor used to access the device.
*
*	Returned:
*
*		None.
*
******************************************************************************/

void gsc_dev_close(int index, int fd)
{
	char	buf[80];

	sprintf(buf, "Closing #%d", index);
	gsc_label(buf);
	os_close(fd);
	printf("PASS\n");
}



